Deprecation notice: Kubernetes v1.7 or lower

Released on: 
May 15, 2020

Effective Wednesday, 12 August 2020, Kubernetes integration v1.7 or lower will be deprecated. To avoid losing data, upgrade to the latest version. For more information, read this note or contact your account team.

Background

In order to provide the best possible experience for monitoring Kubernetes, we are merging the Kubernetes Cluster Explorer into New Relic One, where you’ll enjoy all the latest features.

What is happening?

We will support Kubernetes integrations v1.7 or lower until Wednesday, 12 August 2020.

Starting on July 1st the Kubernetes Cluster Explorer will only be available at one.newrelic.com > Kubernetes Cluster Explorer. The Kubernetes Cluster Explorer will only be compatible with Kubernetes integrations v.1.8 and newer from Wednesday, August 12th.

Therefore in order to enjoy the latest features and to be fully compatible with the New Relic One Kubernetes Cluster Explorer, you must upgrade your Kubernetes integration to the latest version.

What do you need to do?

Follow the instructions here to upgrade to the latest version of the Kubernetes integration.

What happens if you don’t make any changes to your account?

The Kubernetes integration will still send data to the New Relic platform, though the Kubernetes Cluster Explorer in New Relic One will not work for Clusters running Kubernetes integration versions v1.7 or older after Wednesday, 12 August. In other words, the integration will still send data, however you will be unable to view that data in the Cluster Explorer.